org.gradle.plugins.javascript.envjs.http

## Interface HttpFileServer

- All Known Implementing Classes:
    SimpleHttpFileServer

      public interface HttpFileServer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getContentRoot()`
    `int` | `getPort()`
    `String` | `getResourceUrl(String path)`
    `void` | `stop()`

- - ### Method Detail

    - #### getPort

          int getPort()

    - #### getResourceUrl

          String getResourceUrl(String path)

    - #### getContentRoot

          File getContentRoot()

    - #### stop

          void stop()